Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision f48433245d5c26f49a86faba893f3b410be7a839)
+++ src/mainwindow.cpp	(revision 0e473fbe889022d8784b758968b5db6f1aee0b5c)
@@ -24,5 +24,5 @@
 #include "mainwindow.h"
 
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
 #   include "shobjidl.h"
 #endif
@@ -80,9 +80,9 @@
 #endif // QT_NO_PRINTER
 
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
     currentGeometry = QApplication::desktop()->availableGeometry(0);
     // We need to react to SIP show/hide and resize the window appropriately
     connect(QApplication::desktop(), SIGNAL(workAreaResized(int)), SLOT(desktopResized(int)));
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
     connect(actionFileNew, SIGNAL(triggered()), SLOT(actionFileNewTriggered()));
     connect(actionFileOpen, SIGNAL(triggered()), SLOT(actionFileOpenTriggered()));
@@ -453,5 +453,5 @@
 {
 SettingsDialog sd(this);
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     sd.setWindowState(Qt::WindowMaximized);
 #endif
@@ -669,7 +669,7 @@
     hb2->addWidget(bb);
 
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
     vb->setMargin(3);
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
     vb->addLayout(hb1);
 #ifdef HANDHELD
@@ -714,5 +714,5 @@
 #ifndef HANDHELD
     dlg->resize(450, 350);
-#elif defined(Q_WS_S60)
+#elif defined(Q_OS_SYMBIAN)
     dlg->setWindowState(Qt::WindowMaximized);
 #endif
@@ -771,5 +771,5 @@
     pd.show();
 
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
 HRESULT hr = CoCreateInstance(CLSID_TaskbarList, NULL, CLSCTX_INPROC_SERVER, IID_ITaskbarList3, (LPVOID*)&tl);
     if (SUCCEEDED(hr)) {
@@ -788,10 +788,10 @@
     connect(&solver, SIGNAL(routePartFound(int)), &pd, SLOT(setValue(int)));
     connect(&pd, SIGNAL(canceled()), &solver, SLOT(cancel()));
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (tl != NULL)
         connect(&solver, SIGNAL(routePartFound(int)), SLOT(solverRoutePartFound(int)));
 #endif
 SStep *root = solver.solve(n, matrix);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (tl != NULL)
         disconnect(&solver, SIGNAL(routePartFound(int)), this, SLOT(solverRoutePartFound(int)));
@@ -802,5 +802,5 @@
         pd.reset();
         if (!solver.wasCanceled()) {
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
             if (tl != NULL) {
                 tl->SetProgressState(winId(), TBPF_ERROR);
@@ -814,5 +814,5 @@
         pd.setCancelButton(NULL);
         pd.show();
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
         if (tl != NULL)
             tl->SetProgressState(winId(), TBPF_INDETERMINATE);
@@ -829,5 +829,5 @@
 #endif
         pd.reset();
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
         if (tl != NULL) {
             tl->SetProgressState(winId(), TBPF_NOPROGRESS);
@@ -843,5 +843,5 @@
     pd.setValue(0);
 
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (tl != NULL)
         tl->SetProgressValue(winId(), spinCities->value(), spinCities->value() + solver.getTotalSteps() + 1);
@@ -860,5 +860,5 @@
         // Font size in pixels = graph node radius / 2.75.
         // See MainWindow::drawNode() for graph node radius calcualtion description.
-#ifndef Q_WS_S60
+#ifndef Q_OS_SYMBIAN
         font.setPixelSize(logicalDpiX() * (settings->value("Output/GraphWidth", DEF_GRAPH_WIDTH).toReal() / CM_IN_INCH) / 4.5 / 2.75);
 #else
@@ -913,5 +913,5 @@
             pd.show();
             QCoreApplication::processEvents(QEventLoop::ExcludeUserInputEvents);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
             if (tl != NULL)
                 tl->SetProgressState(winId(), TBPF_INDETERMINATE);
@@ -927,5 +927,5 @@
             solutionText->clear();
             toggleSolutionActions(false);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
             if (tl != NULL) {
                 tl->SetProgressState(winId(), TBPF_NOPROGRESS);
@@ -937,5 +937,5 @@
         }
         pd.setValue(n);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
         if (tl != NULL)
             tl->SetProgressValue(winId(), spinCities->value() + n, spinCities->value() + solver.getTotalSteps() + 1);
@@ -984,5 +984,5 @@
     pb->setFormat(tr("Generating footer"));
     pd.setValue(n);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (tl != NULL)
         tl->SetProgressValue(winId(), spinCities->value() + n, spinCities->value() + solver.getTotalSteps() + 1);
@@ -1047,5 +1047,5 @@
     pd.setCancelButton(NULL);
     QCoreApplication::processEvents(QEventLoop::ExcludeUserInputEvents);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (tl != NULL)
         tl->SetProgressState(winId(), TBPF_INDETERMINATE);
@@ -1061,5 +1061,5 @@
     toggleSolutionActions();
     tabWidget->setCurrentIndex(1);
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (tl != NULL) {
         tl->SetProgressState(winId(), TBPF_NOPROGRESS);
@@ -1089,5 +1089,5 @@
 }
 
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
 void MainWindow::changeEvent(QEvent *ev)
 {
@@ -1122,5 +1122,5 @@
     }
 }
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
 
 void MainWindow::numCitiesChanged(int nCities)
@@ -1138,10 +1138,10 @@
 #endif // QT_NO_PRINTER
 
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
 void MainWindow::solverRoutePartFound(int n)
 {
     tl->SetProgressValue(winId(), n, spinCities->value() * 2);
 }
-#endif // Q_WS_WIN32
+#endif // Q_OS_WIN32
 
 void MainWindow::spinCitiesValueChanged(int n)
@@ -1160,5 +1160,5 @@
 void MainWindow::check4Updates(bool silent)
 {
-#ifdef Q_WS_WIN32
+#ifdef Q_OS_WIN32
     if (silent)
         QProcess::startDetached("updater/Update.exe -name=\"TSPSG: TSP Solver and Generator\" -check=\"freeupdate\" -silentcheck");
@@ -1221,5 +1221,5 @@
     if (settings->value("Output/HQGraph", DEF_HQ_GRAPH).toBool())
         r *= HQ_FACTOR;
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     /*! \hack HACK: Solution graph on Symbian is visually larger than on
      *   Windows Mobile. This coefficient makes it about the same size.
@@ -1372,5 +1372,5 @@
         hilight.setHsv(color.hue(), color.saturation(), color.value() / 2);
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     /*!
      * \hack HACK: Fixing some weird behavior with default Symbian theme
@@ -1381,5 +1381,5 @@
     solutionText->document()->setDefaultStyleSheet(QString("* {color: %1;}").arg(color.name()));
     fmt_default.setForeground(QBrush(color));
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     }
 #endif
@@ -1549,5 +1549,5 @@
     if (!isWindowModified())
         return true;
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     int res = QSMessageBox(this).exec();
 #else
@@ -1611,5 +1611,5 @@
 }
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
 void MainWindow::resizeEvent(QResizeEvent *ev)
 {
@@ -1631,5 +1631,5 @@
     QWidget::resizeEvent(ev);
 }
-#endif // Q_WS_S60
+#endif // Q_OS_SYMBIAN
 
 void MainWindow::retranslateUi(bool all)
@@ -1692,5 +1692,5 @@
 #endif // QT_NO_STATUSTIP
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     actionRightSoftKey->setText(tr("E&xit"));
 #endif
@@ -1739,7 +1739,7 @@
     Ui_MainWindow::setupUi(this);
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     setWindowFlags(windowFlags() | Qt::WindowSoftkeysVisibleHint);
-#endif // Q_WS_S60
+#endif // Q_OS_SYMBIAN
 
     // File Menu
@@ -1793,5 +1793,5 @@
 #endif // HANDHELD
 
-#ifdef Q_WS_WINCE_WM
+#ifdef Q_OS_WINCE_WM
     menuBar()->setDefaultAction(menuFile->menuAction());
 
@@ -1804,13 +1804,13 @@
 #else
     setCentralWidget(tabWidget);
-#endif // Q_WS_WINCE_WM
+#endif // Q_OS_WINCE_WM
 
     //! \hack HACK: A little hack for toolbar icons to have a sane size.
 #if defined(HANDHELD) && !defined(Q_WS_MAEMO_5)
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     toolBarMain->setIconSize(QSize(logicalDpiX() / 5.2, logicalDpiY() / 5.2));
 #else
     toolBarMain->setIconSize(QSize(logicalDpiX() / 4, logicalDpiY() / 4));
-#endif // Q_WS_S60
+#endif // Q_OS_SYMBIAN
 #endif // HANDHELD && !Q_WS_MAEMO_5
 QToolButton *tb = static_cast<QToolButton *>(toolBarMain->widgetForAction(actionFileSave));
@@ -1898,5 +1898,5 @@
 #endif // HANDHELD
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
     // Replace Exit on the right soft key with our own exit action.
     // This makes it translatable.
@@ -1951,5 +1951,5 @@
 }
 
-#ifdef Q_WS_S60
+#ifdef Q_OS_SYMBIAN
 QSMessageBox::QSMessageBox(QWidget *parent)
     : QMessageBox(parent)
@@ -1979,3 +1979,3 @@
     done(QMessageBox::Discard);
 }
-#endif // Q_WS_S60
+#endif // Q_OS_SYMBIAN