Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision 9cda6e0f5d8ac68ad13492d29d2a6a3a73a8f32b)
+++ ui/settingsdialog.ui	(revision 5d401f2c50d57a11263f7dd376e9ebbf6a5edce6)
@@ -12,4 +12,12 @@
   </property>
   <widget class="QWidget" name="bgGrey" native="true">
+   <property name="geometry">
+	<rect>
+	 <x>0</x>
+	 <y>0</y>
+	 <width>197</width>
+	 <height>37</height>
+	</rect>
+   </property>
    <property name="sizePolicy">
 	<sizepolicy hsizetype="Preferred" vsizetype="Fixed">
@@ -93,4 +101,12 @@
   </widget>
   <widget class="QWidget" name="bgWhite" native="true">
+   <property name="geometry">
+	<rect>
+	 <x>0</x>
+	 <y>0</y>
+	 <width>226</width>
+	 <height>253</height>
+	</rect>
+   </property>
    <property name="autoFillBackground">
 	<bool>true</bool>
@@ -165,4 +181,7 @@
 			<property name="text">
 			 <string>Fractional accuracy:</string>
+			</property>
+			<property name="buddy">
+			 <cstring>spinFractionalAccuracy</cstring>
 			</property>
 		   </widget>
@@ -302,23 +321,10 @@
 		</item>
 		<item>
-		 <widget class="QCheckBox" name="cbShowMatrix">
-		  <property name="cursor">
-		   <cursorShape>PointingHandCursor</cursorShape>
-		  </property>
-		  <property name="statusTip">
-		   <string>Show solution steps' matrices for every solution step</string>
-		  </property>
-		  <property name="text">
-		   <string>Show solution steps' matrices</string>
-		  </property>
-		 </widget>
-		</item>
-		<item>
-		 <layout class="QHBoxLayout" name="layoutCititesLimit">
+		 <layout class="QHBoxLayout" name="_10">
 		  <property name="spacing">
-		   <number>0</number>
-		  </property>
-		  <item>
-		   <spacer name="spacer_3">
+		   <number>5</number>
+		  </property>
+		  <item>
+		   <spacer name="spacer_7">
 			<property name="orientation">
 			 <enum>Qt::Horizontal</enum>
@@ -336,4 +342,73 @@
 		  </item>
 		  <item>
+		   <widget class="QLabel" name="labelGraphImageFormat">
+			<property name="text">
+			 <string>Save solution graph as</string>
+			</property>
+			<property name="buddy">
+			 <cstring>comboGraphImageFormat</cstring>
+			</property>
+		   </widget>
+		  </item>
+		  <item>
+		   <widget class="QComboBox" name="comboGraphImageFormat">
+			<property name="cursor">
+			 <cursorShape>PointingHandCursor</cursorShape>
+			</property>
+			<property name="statusTip">
+			 <string>What image format to use for graph when saving solution as HTML</string>
+			</property>
+		   </widget>
+		  </item>
+		  <item>
+		   <spacer name="horizontalSpacer">
+			<property name="orientation">
+			 <enum>Qt::Horizontal</enum>
+			</property>
+			<property name="sizeHint" stdset="0">
+			 <size>
+			  <width>0</width>
+			  <height>0</height>
+			 </size>
+			</property>
+		   </spacer>
+		  </item>
+		 </layout>
+		</item>
+		<item>
+		 <widget class="QCheckBox" name="cbShowMatrix">
+		  <property name="cursor">
+		   <cursorShape>PointingHandCursor</cursorShape>
+		  </property>
+		  <property name="statusTip">
+		   <string>Show solution steps' matrices for every solution step</string>
+		  </property>
+		  <property name="text">
+		   <string>Show solution steps' matrices</string>
+		  </property>
+		 </widget>
+		</item>
+		<item>
+		 <layout class="QHBoxLayout" name="_12">
+		  <property name="spacing">
+		   <number>0</number>
+		  </property>
+		  <item>
+		   <spacer name="spacer_3">
+			<property name="orientation">
+			 <enum>Qt::Horizontal</enum>
+			</property>
+			<property name="sizeType">
+			 <enum>QSizePolicy::Fixed</enum>
+			</property>
+			<property name="sizeHint" stdset="0">
+			 <size>
+			  <width>10</width>
+			  <height>0</height>
+			 </size>
+			</property>
+		   </spacer>
+		  </item>
+		  <item>
 		   <widget class="QCheckBox" name="cbCitiesLimit">
 			<property name="cursor">
@@ -350,4 +425,7 @@
 		  <item>
 		   <widget class="QSpinBox" name="spinCitiesLimit">
+			<property name="cursor">
+			 <cursorShape>PointingHandCursor</cursorShape>
+			</property>
 			<property name="statusTip">
 			 <string>Maximum number of cities to show solution steps' matrices</string>
@@ -512,10 +590,10 @@
    <hints>
 	<hint type="sourcelabel">
-	 <x>80</x>
-	 <y>150</y>
+	 <x>91</x>
+	 <y>107</y>
 	</hint>
 	<hint type="destinationlabel">
-	 <x>91</x>
-	 <y>175</y>
+	 <x>113</x>
+	 <y>132</y>
 	</hint>
    </hints>
@@ -528,10 +606,10 @@
    <hints>
 	<hint type="sourcelabel">
-	 <x>80</x>
-	 <y>150</y>
+	 <x>91</x>
+	 <y>107</y>
 	</hint>
 	<hint type="destinationlabel">
-	 <x>91</x>
-	 <y>175</y>
+	 <x>113</x>
+	 <y>132</y>
 	</hint>
    </hints>
@@ -544,10 +622,42 @@
    <hints>
 	<hint type="sourcelabel">
-	 <x>91</x>
-	 <y>175</y>
+	 <x>113</x>
+	 <y>132</y>
 	</hint>
 	<hint type="destinationlabel">
-	 <x>184</x>
-	 <y>174</y>
+	 <x>183</x>
+	 <y>134</y>
+	</hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>cbShowGraph</sender>
+   <signal>toggled(bool)</signal>
+   <receiver>labelGraphImageFormat</receiver>
+   <slot>setEnabled(bool)</slot>
+   <hints>
+	<hint type="sourcelabel">
+	 <x>113</x>
+	 <y>48</y>
+	</hint>
+	<hint type="destinationlabel">
+	 <x>72</x>
+	 <y>73</y>
+	</hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>cbShowGraph</sender>
+   <signal>toggled(bool)</signal>
+   <receiver>comboGraphImageFormat</receiver>
+   <slot>setEnabled(bool)</slot>
+   <hints>
+	<hint type="sourcelabel">
+	 <x>113</x>
+	 <y>48</y>
+	</hint>
+	<hint type="destinationlabel">
+	 <x>149</x>
+	 <y>73</y>
 	</hint>
    </hints>