Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision 11086c2defca72c6721801934a247d69d28aedcf)
+++ src/mainwindow.cpp	(revision 6beb15749784609064dec92375dd8b72b6434236)
@@ -64,13 +64,11 @@
 	connect(spinCities,SIGNAL(valueChanged(int)),this,SLOT(spinCitiesValueChanged(int)));
 
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
 	if (settings->value("SavePos", DEF_SAVEPOS).toBool()) {
 		// Loading of saved window state
 		settings->beginGroup("MainWindow");
-#ifndef Q_OS_WINCE
 		restoreGeometry(settings->value("Geometry").toByteArray());
-#endif // Q_OS_WINCE
 		restoreState(settings->value("State").toByteArray());
 		settings->endGroup();
-#ifndef Q_OS_WINCE
 	} else {
 		// Centering main window
@@ -78,6 +76,8 @@
 		rect.moveCenter(QApplication::desktop()->availableGeometry(this).center());
 		setGeometry(rect);
+	}
+#else
+	setWindowState(windowState() | Qt::WindowMaximized);
 #endif // Q_OS_WINCE
-	}
 
 	tspmodel = new CTSPModel(this);
@@ -297,5 +297,5 @@
 //! \todo TODO: Normal about window :-)
 QString title;
-#ifdef Q_OS_WINCE
+#if defined(Q_OS_WINCE) || defined(Q_OS_SYMBIAN)
 	title += QString::fromUtf8("<b>TSPSG<br>TSP Solver and Generator</b><br>");
 #else
@@ -455,5 +455,5 @@
 	output.append("<p>&nbsp;&nbsp;" + solver.getSortedPath() + "</p>");
 	if (isInteger(step->price))
-		output.append("<p>" + tr("The price is <b>%n</b> unit(s).", "", step->price) + "</p>");
+		output.append("<p>" + tr("The price is <b>%n</b> unit(s).", "", qRound(step->price)) + "</p>");
 	else
 		output.append("<p>" + tr("The price is <b>%1</b> units.").arg(step->price, 0, 'f', settings->value("Task/FractionalAccuracy", DEF_FRACTIONAL_ACCURACY).toInt()) + "</p>");
@@ -531,5 +531,5 @@
 	if (settings->value("SavePos", DEF_SAVEPOS).toBool()) {
 		settings->beginGroup("MainWindow");
-#ifndef Q_OS_WINCE
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
 		settings->setValue("Geometry", saveGeometry());
 #endif // Q_OS_WINCE
@@ -555,10 +555,10 @@
 void MainWindow::loadLangList()
 {
-QSettings langinfo(PATH_I18N"/languages.ini",QSettings::IniFormat);
+QSettings langinfo(PATH_I18N"/languages.ini", QSettings::IniFormat);
 #if QT_VERSION >= 0x040500
 	// In Qt < 4.5 QSettings doesn't have method setIniCodec.
 	langinfo.setIniCodec("UTF-8");
 #endif
-QDir dir(PATH_I18N,"*.qm",QDir::Name | QDir::IgnoreCase,QDir::Files);
+QDir dir(PATH_I18N, "*.qm", QDir::Name | QDir::IgnoreCase, QDir::Files);
 	if (!dir.exists())
 		return;
@@ -571,14 +571,14 @@
 		if (!lang.completeBaseName().startsWith("qt_") && lang.completeBaseName().compare("en")) {
 #if QT_VERSION >= 0x040500
-			a = menuSettingsLanguage->addAction(langinfo.value(lang.completeBaseName() + "/NativeName",lang.completeBaseName()).toString());
+			a = menuSettingsLanguage->addAction(langinfo.value(lang.completeBaseName() + "/NativeName", lang.completeBaseName()).toString());
 #else
 			// We use Name if Qt < 4.5 because NativeName is in UTF-8, QSettings
 			// reads .ini file as ASCII and there is no way to set file encoding.
-			a = menuSettingsLanguage->addAction(langinfo.value(lang.completeBaseName() + "/Name",lang.completeBaseName()).toString());
+			a = menuSettingsLanguage->addAction(langinfo.value(lang.completeBaseName() + "/Name", lang.completeBaseName()).toString());
 #endif
 			a->setData(lang.completeBaseName());
 			a->setCheckable(true);
 			a->setActionGroup(groupSettingsLanguageList);
-			if (settings->value("Language",QLocale::system().name()).toString().startsWith(lang.completeBaseName()))
+			if (settings->value("Language", QLocale::system().name()).toString().startsWith(lang.completeBaseName()))
 				a->setChecked(true);
 		}
@@ -592,6 +592,6 @@
 QString lng = lang;
 	if (lng.isEmpty()) {
-		ad = settings->value("Language","").toString().isEmpty();
-		lng = settings->value("Language",QLocale::system().name()).toString();
+		ad = settings->value("Language", "").toString().isEmpty();
+		lng = settings->value("Language", QLocale::system().name()).toString();
 	}
 static QTranslator *qtTranslator; // Qt library translator
@@ -613,9 +613,9 @@
 	// Trying to load system Qt library translation...
 	qtTranslator = new QTranslator(this);
-	if (qtTranslator->load("qt_" + lng,QLibraryInfo::location(QLibraryInfo::TranslationsPath)))
+	if (qtTranslator->load("qt_" + lng, QLibraryInfo::location(QLibraryInfo::TranslationsPath)))
 		qApp->installTranslator(qtTranslator);
 	else {
 		// No luck. Let's try to load a bundled one.
-		if (qtTranslator->load("qt_" + lng,PATH_I18N))
+		if (qtTranslator->load("qt_" + lng, PATH_I18N))
 			qApp->installTranslator(qtTranslator);
 		else {
@@ -628,5 +628,5 @@
 	// Now let's load application translation.
 	translator = new QTranslator(this);
-	if (translator->load(lng,PATH_I18N))
+	if (translator->load(lng, PATH_I18N))
 		qApp->installTranslator(translator);
 	else {
@@ -634,5 +634,5 @@
 		translator = NULL;
 		if (!ad)
-			QMessageBox(QMessageBox::Warning,tr("Language Change"),tr("Unable to load translation language."),QMessageBox::Ok,this).exec();
+			QMessageBox::warning(this, tr("Language Change"), tr("Unable to load translation language."));
 		return false;
 	}
@@ -761,5 +761,5 @@
 #endif
 
-#ifndef Q_OS_WINCE
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
 QStatusBar *statusbar = new QStatusBar(this);
 	statusbar->setObjectName("statusbar");
@@ -771,7 +771,9 @@
 #endif // Q_OS_WINCE
 
+	//! \hack HACK: A little hack for toolbar icons to have a sane size.
 #ifdef Q_OS_WINCE
-	//! \hack HACK: A little hack for toolbar icons to have a sane size.
 	toolBar->setIconSize(QSize(logicalDpiX() / 4, logicalDpiY() / 4));
+#elif defined(Q_OS_SYMBIAN)
+	toolBar->setIconSize(QSize(logicalDpiX() / 5, logicalDpiY() / 5));
 #endif // Q_OS_WINCE
 