Index: .gitattributes
===================================================================
--- .gitattributes	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ .gitattributes	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -1,1 +1,1 @@
-* text=auto
+* text=auto export-subst
Index: ChangeLog.txt
===================================================================
--- ChangeLog.txt	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ ChangeLog.txt	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -184,4 +184,4 @@
 
 
-$Id$
-$URL$
+$Id: $Format:%h %ai %an$ $
+$URL: http://tspsg.info/ $
Index: INSTALL.txt
===================================================================
--- INSTALL.txt	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ INSTALL.txt	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -353,4 +353,4 @@
 
 
-$Id$
-$URL$
+$Id: $Format:%h %ai %an$ $
+$URL: http://tspsg.info/ $
Index: README.txt
===================================================================
--- README.txt	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ README.txt	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -53,4 +53,4 @@
 
 
-$Id$
-$URL$
+$Id: $Format:%h %ai %an$ $
+$URL: http://tspsg.info/ $
Index: docs/dox/changelog.dox
===================================================================
--- docs/dox/changelog.dox	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ docs/dox/changelog.dox	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -2,6 +2,6 @@
 
 \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
-$Id$
-$URL$
+$Id: $Format:%h %ai %an$ $
+$URL: http://tspsg.info/ $
 
 <hr>
Index: docs/dox/install.dox
===================================================================
--- docs/dox/install.dox	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ docs/dox/install.dox	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -2,6 +2,6 @@
 
 \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
-$Id$
-$URL$
+$Id: $Format:%h %ai %an$ $
+$URL: http://tspsg.info/ $
 
 Thank you for trying \b TSPSG. This document will guide you through the
Index: docs/dox/mainpage.dox
===================================================================
--- docs/dox/mainpage.dox	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ docs/dox/mainpage.dox	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -1,6 +1,6 @@
 /*! \mainpage
 <!--
-$Id$
-$URL$
+$Id: $Format:%h %ai %an$ $
+$URL: http://tspsg.info/ $
 -->
 
Index: doxygen.conf
===================================================================
--- doxygen.conf	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ doxygen.conf	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
 # Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
 #
-# $Id$
-# $URL$
+# $Id: $Format:%h %ai %an$ $
+# $URL: http://tspsg.info/ $
 #
 # This file is part of TSPSG.
Index: help/about.en.txt
===================================================================
--- help/about.en.txt	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/about.en.txt	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -2,6 +2,6 @@
 Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 
-$Id$
-$URL$
+$Id: $Format:%h %ai %an$ $
+$URL: http://tspsg.info/ $
 
 This manual is part of TSPSG project.
Index: help/about.ru.txt
===================================================================
--- help/about.ru.txt	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/about.ru.txt	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -2,6 +2,6 @@
 Copyright (C) 2007-2011 Алексей Сердюк <contacts[at]oleksii[dot]name>
 
-$Id$
-$URL$
+$Id: $Format:%h %ai %an$ $
+$URL: http://tspsg.info/ $
 
 Это руководство является частью проекта TSPSG.
Index: help/about.uk.txt
===================================================================
--- help/about.uk.txt	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/about.uk.txt	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -2,6 +2,6 @@
 Copyright (C) 2007-2011 Олексій Сердюк <contacts[at]oleksii[dot]name>
 
-$Id$
-$URL$
+$Id: $Format:%h %ai %an$ $
+$URL: http://tspsg.info/ $
 
 Це керівництво є чатсиною проекту TSPSG.
Index: help/html/en/about.html
===================================================================
--- help/html/en/about.html	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/html/en/about.html	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
  !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
- !  $Id$
- !  $URL$
+ !  $Id: $Format:%h %ai %an$ $
+ !  $URL: http://tspsg.info/ $
  !
  !  This file is part of TSPSG project.
Index: help/html/en/credits.html
===================================================================
--- help/html/en/credits.html	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/html/en/credits.html	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
  !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
- !  $Id$
- !  $URL$
+ !  $Id: $Format:%h %ai %an$ $
+ !  $URL: http://tspsg.info/ $
  !
  !  This file is part of TSPSG project.
Index: help/html/en/index.html
===================================================================
--- help/html/en/index.html	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/html/en/index.html	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
  !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
- !  $Id$
- !  $URL$
+ !  $Id: $Format:%h %ai %an$ $
+ !  $URL: http://tspsg.info/ $
  !
  !  This file is part of TSPSG project.
Index: help/html/en/l10n.html
===================================================================
--- help/html/en/l10n.html	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/html/en/l10n.html	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
  !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
- !  $Id$
- !  $URL$
+ !  $Id: $Format:%h %ai %an$ $
+ !  $URL: http://tspsg.info/ $
  !
  !  This file is part of TSPSG project.
Index: help/html/en/license.html
===================================================================
--- help/html/en/license.html	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/html/en/license.html	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
  !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
- !  $Id$
- !  $URL$
+ !  $Id: $Format:%h %ai %an$ $
+ !  $URL: http://tspsg.info/ $
  !
  !  This file is part of TSPSG project.
Index: help/html/en/mainwindow.html
===================================================================
--- help/html/en/mainwindow.html	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/html/en/mainwindow.html	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
  !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
- !  $Id$
- !  $URL$
+ !  $Id: $Format:%h %ai %an$ $
+ !  $URL: http://tspsg.info/ $
  !
  !  This file is part of TSPSG project.
Index: help/html/en/preferences.html
===================================================================
--- help/html/en/preferences.html	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/html/en/preferences.html	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
  !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
- !  $Id$
- !  $URL$
+ !  $Id: $Format:%h %ai %an$ $
+ !  $URL: http://tspsg.info/ $
  !
  !  This file is part of TSPSG project.
Index: help/html/style.css
===================================================================
--- help/html/style.css	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/html/style.css	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
  *  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG project.
Index: help/html/tspsg.qhp
===================================================================
--- help/html/tspsg.qhp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/html/tspsg.qhp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
  !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
- !  $Id$
- !  $URL$
+ !  $Id: $Format:%h %ai %an$ $
+ !  $URL: http://tspsg.info/ $
  !
  !  This file is part of TSPSG project.
Index: help/tspsg.qhcp
===================================================================
--- help/tspsg.qhcp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ help/tspsg.qhcp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
  !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
- !  $Id$
- !  $URL$
+ !  $Id: $Format:%h %ai %an$ $
+ !  $URL: http://tspsg.info/ $
  !
  !  This file is part of TSPSG project.
Index: install.pri
===================================================================
--- install.pri	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ install.pri	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
 #  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
 #
-#  $Id$
-#  $URL$
+#  $Id: $Format:%h %ai %an$ $
+#  $URL: http://tspsg.info/ $
 #
 #  This file is part of TSPSG.
Index: l10n/template.ts
===================================================================
--- l10n/template.ts	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ l10n/template.ts	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -15,5 +15,5 @@
         <source>VERSION</source>
         <comment>Please, provide your translation version here.</comment>
-        <translation type="unfinished">$Id$</translation>
+        <translation type="unfinished">$Id: $Format:%h %ai %an$ $</translation>
     </message>
     <message>
Index: l10n/tspsg_en.ts
===================================================================
--- l10n/tspsg_en.ts	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ l10n/tspsg_en.ts	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -15,5 +15,5 @@
         <source>VERSION</source>
         <comment>Please, provide your translation version here.</comment>
-        <translation>$Id$</translation>
+        <translation>$Id: $Format:%h %ai %an$ $</translation>
     </message>
     <message>
Index: l10n/tspsg_ru.ts
===================================================================
--- l10n/tspsg_ru.ts	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ l10n/tspsg_ru.ts	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -18,5 +18,5 @@
         <source>VERSION</source>
         <comment>Please, provide your translation version here.</comment>
-        <translation>$Id$</translation>
+        <translation>$Id: $Format:%h %ai %an$ $</translation>
     </message>
     <message>
Index: l10n/tspsg_uk.ts
===================================================================
--- l10n/tspsg_uk.ts	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ l10n/tspsg_uk.ts	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -18,5 +18,5 @@
         <source>VERSION</source>
         <comment>Please, provide your translation version here.</comment>
-        <translation>$Id$</translation>
+        <translation>$Id: $Format:%h %ai %an$ $</translation>
     </message>
     <message>
Index: resources/tspsg.rc
===================================================================
--- resources/tspsg.rc	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ resources/tspsg.rc	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/_.h
===================================================================
--- src/_.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/_.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/defaults.h
===================================================================
--- src/defaults.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/defaults.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Contains TSPSG defaults.
Index: src/globals.cpp
===================================================================
--- src/globals.cpp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/globals.cpp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/globals.h
===================================================================
--- src/globals.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/globals.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Contains TSPSG global defines.
Index: src/main.cpp
===================================================================
--- src/main.cpp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/main.cpp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/mainwindow.cpp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/mainwindow.h
===================================================================
--- src/mainwindow.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/mainwindow.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Defines MainWindow class.
Index: src/os.h
===================================================================
--- src/os.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/os.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \warning Arch detection works only for <b>GNU C</b>, <b>Visual Studio</b>, <b>Intel C/C++</b> and <b>MinGW32</b> compilers.
Index: src/pch.h
===================================================================
--- src/pch.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/pch.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Precompiled Header (PCH) file
Index: src/resource.h
===================================================================
--- src/resource.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/resource.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Contains windows resource IDs.
Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/settingsdialog.cpp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/settingsdialog.h
===================================================================
--- src/settingsdialog.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/settingsdialog.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Defines SettingsDialog class.
Index: src/shobjidl.h
===================================================================
--- src/shobjidl.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/shobjidl.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -5,6 +5,6 @@
  * \version Microsoft Windows SDK v7.0A
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief This file is a minimal required part of \c %shobjidl.h from <b>Microsoft Windows SDK v7.0A</b>.
Index: src/tspmodel.cpp
===================================================================
--- src/tspmodel.cpp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/tspmodel.cpp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/tspmodel.h
===================================================================
--- src/tspmodel.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/tspmodel.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Defines CTSPModel class.
Index: src/tspsolver.cpp
===================================================================
--- src/tspsolver.cpp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/tspsolver.cpp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
@@ -31,9 +31,9 @@
 /*!
  * \brief Returns CTSPSolver's version ID.
- * \return A string: <b>\$Id$</b>.
+ * \return A string: <b>\$Id: $Format:%h %ai %an$ $</b>.
  */
 QString CTSPSolver::getVersionId()
 {
-    return QString("$Id$");
+    return QString("$Id: $Format:%h %ai %an$ $");
 }
 
Index: src/tspsolver.h
===================================================================
--- src/tspsolver.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/tspsolver.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Defines TSPSolver namespace and everything needed for solving TSP tasks.
Index: src/version.h
===================================================================
--- src/version.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/version.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Contains TSPSG version information defines.
Index: tspsg.pri
===================================================================
--- tspsg.pri	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ tspsg.pri	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
 #  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
 #
-#  $Id$
-#  $URL$
+#  $Id: $Format:%h %ai %an$ $
+#  $URL: http://tspsg.info/ $
 #
 #  This file is part of TSPSG.
Index: tspsg.pro
===================================================================
--- tspsg.pro	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ tspsg.pro	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -4,6 +4,6 @@
 #  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
 #
-#  $Id$
-#  $URL$
+#  $Id: $Format:%h %ai %an$ $
+#  $URL: http://tspsg.info/ $
 #
 #  This file is part of TSPSG.
Index: ui/mainwindow.ui
===================================================================
--- ui/mainwindow.ui	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ ui/mainwindow.ui	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <ui version="4.0">
- <author>Lёppa: $Id$</author>
+ <author>Lёppa: $Id: $Format:%h %ai %an$ $</author>
  <class>MainWindow</class>
  <widget class="QMainWindow" name="MainWindow">
Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ ui/settingsdialog.ui	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <ui version="4.0">
- <author>Lёppa: $Id$</author>
+ <author>Lёppa: $Id: $Format:%h %ai %an$ $</author>
  <class>SettingsDialog</class>
  <widget class="QDialog" name="SettingsDialog">